package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.enums.SourceType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("组织表")
@TableName("sys_org")
@Data
public class SysOrg {

    public static SysOrg buildManagerOrg(){
        SysOrg sysOrg = new SysOrg();
        sysOrg.setId(0L);
        sysOrg.setSourceType(SourceType.MANAGER.getCode());
        sysOrg.setName("一七洗护总部");
        return sysOrg;
    }

    public SysOrg() {
    }

    private Long id;

    @ApiModelProperty("组织名称")
    private String name;

    @ApiModelProperty("区域ID")
    private Long bindAreaId;

    @ApiModelProperty("状态")
    private String status;

    /**
     * 来源类型（01=工厂，02=门店）
     */
    @ApiModelProperty("来源类型（01=工厂，02=门店）")
    private String sourceType;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 地址明细
     */
    @ApiModelProperty("地址明细")
    private String addressDetail;

    /**
     * 联系人电话
     */
    @ApiModelProperty("联系人电话")
    private String contactPhone;

    /**
     * 组织图片
     */
    @ApiModelProperty("组织图片")
    private String pic;


}
